Update OrgUser
Update the OrgUser with the given UUID.
Updates the details for a specific user within an Organization using their unique identifier (UUID). Use this endpoint when you need to modify user information such as their permission policy.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
The unique identifier (UUID) of the OrgUser to update.
Note: The orgId path parameter is also required.
Body
The version number of the entity:
- Newly created entity: On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
An array of permission statements for the user. Each permission statement defines a specific permission for the user.
See Understanding, Creating, and Managing Permission Policies for more information.
The date and time (in ISO 8601 format) when the user's access will end. Use this to set or update the expiration of the user's access.
Response
Returns the updated OrgUser
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The first name of the user.
The surname of the user.
The user's contact telephone number.
The email address for this user.
An array listing the Organizations where this user has access.
The date and time (in ISO 8601 format) when this user first accepted the the m3ter terms and conditions.
The date and time (in ISO 8601 format) when this user last accepted the the m3ter terms and conditions.
Indicates whether this is a m3ter Support user.
The date and time (in ISO-8601 format) when the user was created.
The date and time (in ISO-8601 format) when the user was last modified.
The user who created this user.
The unique identifier (UUID) of the user who last modified this user record.
An array of permission statements for the user. Each permission statement defines a specific permission for the user.
The date and time (in ISO 8601 format) when the user's access will end. Used to set or update the date and time a user's access expires.